Maven module :un.api : api-common :
Class : un.api.regex.NFAPathExec
Extends/Implements : -
Subclasses : -

NFA graph executor.
This executor may be used by with any kind of objects.
Can be characters codepoint in a regex or tokens in a parser.
This class is not concurrent.
author  Johann Sorel


Variables : state, buffer1, buffer2
Functions : NFAPathExec, init, createPath, getState, getProcessState, reset, process, printResult


protected NFAState state

protected Seq buffer1

protected Seq buffer2




public void NFAPathExec (NFAState state)

public void init ()

protected NFAPath createPath (NFAState state)

public NFAState getState ()


Return the list of current automaton states.
This list can contain NFAPath objects.
return  Sequence current automaton states.
public Sequence getProcessState ()


Reset executor state.
Must be called before any text is evaluated.
public void reset ()


Process a new elements.
This returned list can contain NFAState or NFAPath objects if
the createPath parameter has been set to True in the constructor.
param  candidate unicode code point
return  Collection of current NFA paths
public Sequence process (Object candidate)


Produce a nice print graph of the current result paths.
param  result
return
public Chars printResult (Sequence result)